Core - Bug # 40950

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2012-09-16 Assigned To:

Updated: 2012-10-10 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity: easy

Is Regression:
Sprint Focus:

Subject: Move code from system extension integrity to extension lowlevel

Description

Related issues:
related to Core - Bug # 40673: sysexts cli and integrity have no ext_emconf.php Resolved 2012-09-06
related to Core - Bug # 44936: Register suite integrity tests again Resolved 2013-01-29

Associated revisions

Revision 973b1990 - 2012-10-10 21:00 - Markus Klein

[TASK] Merge ext:integrity with ext:lowlevel

System extension integrity was created with the namespace switch and
contains the cli classes from ext:lowlevel. It turns out that this
change was not so useful, so for now the cli classes are moved back

to ext:lowlevel.

Resolves: #40950
Releases: 6.0

Change-Id: 122020736e€91d7d0079ecf47e9b7d30a758f98e4c
Reviewed-on: http://review.typo3.org/14954

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5993fc39 - 2013-01-29 20:21 - Christian Kuhn
[BUGFIX] Register suite integrity tests again

The integrity unit tests executed at the very bottom of the
test suite very accidentally removed during issue #40950.
Add them again.

Change-Id: 1fc59f201c98a79e1cf376e1c1e1124408cd37¢10
Fixes: #44936

Related: #40950
Releases: 6.1, 6.0
Reviewed-on: https://review.typo3.org/17807

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision fab0d09e - 2013-01-29 20:22 - Christian Kuhn

[BUGFIX] Register suite integrity tests again

The integrity unit tests executed at the very bottom of the
test suite very accidentally removed during issue #40950.
Add them again.

Change-Id: 1fc59f201c98a79e1cf376e1c1e1124408cd37¢10
Fixes: #44936

Related: #40950

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/17808

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-09-16 10:55 - Helmut Hummel
- Target version set to 6.0.0-beta2

#2 - 2012-09-16 14:36 - Helmut Hummel
- Parent task set to #40095

#3 - 2012-09-18 08:55 - Oliver Hader
- Status changed from New to Needs Feedback

- Complexity set to easy

@Helmut: This means, that the new system extension (created during namespace conversions) will be removed again and the code will be in

lowlevel, correct?

#4 - 2012-09-19 22:22 - Christian Kuhn

@Olly: yes

#5 - 2012-09-23 00:22 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14954

#6 - 2012-10-10 20:24 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14954

#7 - 2012-10-10 20:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14954

#8 - 2012-10-10 21:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:973b1990b1b031e712ac3f939398ee2614361d98.
